# rng

#### Table of Contents

1. [Description](#description)
1. [Setup - The basics of getting started with rng](#setup)
    * [What rng affects](#what-rng-affects)
    * [Setup requirements](#setup-requirements)
    * [Beginning with rng](#beginning-with-rng)
1. [Usage - Configuration options and additional functionality](#usage)
1. [Reference - An under-the-hood peek at what the module is doing and how](#reference)
1. [Limitations - OS compatibility, etc.](#limitations)
1. [Development - Guide for contributing to the module](#development)

## Overview

Puppet module to install and configure rng-tools, a daemon for aiding in the generation of entropy.

Tested with Tavis CI

[![Build Status](https://travis-ci.org/sbrimhall/puppet-rng.png)](https://travis-ci.org/sbrimhall/puppet-rng) [![Puppet Forge](http://img.shields.io/puppetforge/v/sbrimhall/rng.svg)](https://forge.puppetlabs.com/sbrimhall/rng)

## Installation
    $ puppet module install sbrimhall/rng

### Beginning with rng

This module installs and configures rng-tools, which can be used to help build entropy. 

## Usage

```
include ::rng
```

Alternately, if you'd like to specify EXTRAOPTIONS for the daemon, you can declare the class
resource-style, like this:

```
class { '::rng':
  extraopts => '-r /dev/urandom -o /dev/random -t 5',
}
```

Or, in Hiera with data bindings, set:
```
rng::extraopts: '-r /dev/urandom -o /dev/random -t 5'`
```
and then `include ::rng` in your manifest.

## Limitations

This has been tested on CentOS 7, and Ubuntu 14.04 & 16.04.

## Development

Fork, update and make a PR.

## Release Notes/Contributors/Etc.

Authors: Scott Brimhall <scott@brimh.al>
