# Class: rng::config
# ===========================
#
# Class to configure rng-tools
#
# Authors
# -------
#
# Scott Brimhall <scott@brimh.al>
#
# Copyright
# ---------
#
# Copyright 2017 Scott Brimhall, unless otherwise noted.
#
class rng::config (
  $extraopts = $::rng::extraopts,
) inherits ::rng {
  require ::rng::params
  require ::rng::install

  file { $::rng::params::defaults_file:
    ensure  => 'file',
    owner   => 'root',
    group   => 'root',
    mode    => '0644',
    content => template('rng/defaults.erb'),
    require => Class['::rng::install'],
  }
}
