# Class: rng
# ===========================
#
# Class to install and configure rng-tools
#
# Parameters
# ----------
#
# Document parameters here.
#
# * `extraopts`
# String of extra options to set in the /etc/sysconfig/rngd or the
# /etc/defaults/rng-tools file for extra configuration. Defaults to
# '-r /dev/urandom -o /dev/random -t 5'.
#
# Examples
# --------
#
# @example
#    class { '::rng':
#      extraopts => '-r /dev/urandom -o /dev/random -t 5',
#    }
#
# Authors
# -------
#
# Scott Brimhall <scott@brimh.al>
#
# Copyright
# ---------
#
# Copyright 2017 Scott Brimhall, unless otherwise noted.
#
class rng (
  $version   = $::rng::params::version,
  $extraopts = $::rng::params::extraopts,
) inherits ::rng::params {
  include ::rng::install
  include ::rng::config
  include ::rng::service
}
