# Class: rng::params
# ===========================
#
# Class to define default parameters and variables
#
# Authors
# -------
#
# Scott Brimhall <scott@brimh.al>
#
# Copyright
# ---------
#
# Copyright 2017 Scott Brimhall, unless otherwise noted.
#
class rng::params {

  $version       = 'present'
  $package       = 'rng-tools'
  $extraopts     = '-r /dev/urandom -o /dev/random -t 5'
  $service       = $::operatingsystem ? {
    'RedHat' => 'rngd',
    'CentOS' => 'rngd',
    'Ubuntu' => 'rng-tools',
    default  => fail('Only CentOS/RedHat and Ubuntu are supported.'),
  }
  $defaults_file = $::operatingsystem ? {
    'RedHat' => '/etc/sysconfig/rngd',
    'CentOS' => '/etc/sysconfig/rngd',
    'Ubuntu' => '/etc/default/rng-tools',
    default  => fail('Only CentOS/RedHat and Ubuntu are supported.'),
  }
}
