require 'spec_helper'
describe 'rng', :type => :class do
  let(:title) { 'rng' }

  ['Ubuntu', 'RedHat', 'CentOS'].each do |distro|
    context 'with default values for all parameters' do
      if distro == 'Ubuntu'
        family = 'Debian'
        ['14.04', '16.04'].each do |release|
          if release == '14.04'
            codename = 'trusty'
          elsif release == '16.04'
            codename = 'xenial'
          end
          let(:facts) do
            {
              :osfamily                  => family,
              :operatingsystem           => distro,
              :operatingsystemmajrelease => release,
              :lsbdistcodename           => codename,
              :lsbdistid                 => distro,
              :lsbdistrelease            => release
            }
          end

          it { should contain_class('rng') }
          it { should contain_class('rng::install') }
          it { should contain_class('rng::config') }
          it { should contain_class('rng::service') }
          it { is_expected.to compile.with_all_deps }
        end
      else
        family = 'RedHat'
        release = '7'
        let(:facts) do
          {
            :osfamily                  => family,
            :operatingsystem           => distro,
            :operatingsystemmajrelease => release,
            :lsbdistid                 => distro,
            :lsbdistrelease            => release
          }
        end

        it { should contain_class('rng') }
        it { should contain_class('rng::install') }
        it { should contain_class('rng::config') }
        it { should contain_class('rng::service') }
        it { is_expected.to compile.with_all_deps }
      end
    end
  end
end
