require 'spec_helper'
describe 'rng::service', :type => :class do
  let(:title) { 'rng::service' }

  ['Ubuntu', 'RedHat', 'CentOS'].each do |distro|
    context 'with default values for all parameters' do
      if distro == 'Ubuntu'
        family = 'Debian'
        ['14.04', '16.04'].each do |release|
          if release == '14.04'
            codename = 'trusty'
          elsif release == '16.04'
            codename = 'xenial'
          end
          let(:facts) do
            {
              :osfamily                  => family,
              :operatingsystem           => distro,
              :operatingsystemmajrelease => release,
              :lsbdistcodename           => codename,
              :lsbdistid                 => distro,
              :lsbdistrelease            => release
            }
          end

          it do
            is_expected.to contain_service('rng-tools').with({
              'ensure' => 'running',
              'enable' => true,
            })

            is_expected.to contain_class('rng::install')
            is_expected.to contain_class('rng::config')
          end
          it { is_expected.to compile.with_all_deps }
        end
      else
        family = 'RedHat'
        release = '7'
        let(:facts) do
          {
            :osfamily                  => family,
            :operatingsystem           => distro,
            :operatingsystemmajrelease => release,
            :lsbdistid                 => distro,
            :lsbdistrelease            => release
          }
        end

        it do
          is_expected.to contain_service('rngd').with({
            'ensure' => 'running',
            'enable' => true,
          })

          is_expected.to contain_class('rng::install')
          is_expected.to contain_class('rng::config')
        end
        it { is_expected.to compile.with_all_deps }
      end
    end
  end
end
